import Flutter
import UIKit

public class SwiftAsgardLocationMockPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "asgard_location_mock", binaryMessenger: registrar.messenger())
    let instance = SwiftAsgardLocationMockPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
        if (call.method == "getPlatformVersion") {
        result("iOS " + UIDevice.current.systemVersion);
      }else if(call.method == "isMockEnabled"){
           result(false);
      }else{
      result(FlutterMethodNotImplemented);
      }
  }
}
