
import 'dart:async';

import 'package:flutter/services.dart';

class AsgardLocationMock {
  static const MethodChannel _channel =
      const MethodChannel('asgard_location_mock');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<bool> get isMockEnabled async {
    final bool isMockEnabled = await _channel.invokeMethod('isMockEnabled');
    return isMockEnabled;
  }
}
